# xStyle custom CSS for Alkemics front

## What is this?

This repository aims to tweak some website visuals. Changes are made inside your broswer via an extension, so it doesn't actually break anything.

![example of banner](/public/illustration.png)

## How does it works?

Nothing is changed on the software itself: It's your broswer that applies more CSS rules to make it happens. It relies on the Chrome extension xStyle, and that make it easy to turn them on or off, just in case it conflict with the website.

1. Install xStyle from the [Chrome Web Store ⎋](https://chrome.google.com/webstore/detail/xstyle/hncgkmhphmncjohllpoleelnibpmccpj)
2. In the extension, create a new Style
3. Copy one of the files' content available here, in the text editor
4. You can use the file name as the style name, or use your own.

Repeate for each styles you want to enables.

## What each styles do?

* `PPR banner.css`: Change the Preproduction banner and login's footer
  ![example of PPR banner](public/PPR_banner_ex.png)
* `PLR banner.css`: Change your Pillar banner and login's footer
  ![example of Pillar banner](public/PLR_banner_ex.png)
* `LTG banner.css`: Change the Load Testing banner and login's footer
* `PRD banner.css`: Change the Production banner and login's footer
  ![example of Prod banner](public/PRD_banner_ex.png)
* `Whiter banner.css`: Look & feel, mainly changing text to pure white and the hover and active elements. A _must have_. Works with the others files.
* `Retailers Sigils.css`: Change the top-right user icon to a Shop one, and make it orange. It actually don't know if you are logged as a Retailer or not.
  * ![example of orange shop icon](public/user-orange-shop.png)
* `Suppliers Sigils.css`: change the top-right user icon to a Factory one, and make it turquoise. It actually don't know if you are logged as a Manufacturer or not.  
  * ![example of orange shop icon](public/user-teal-factory.png)
* `Alkessian.less`: Change the black navbar of Jira & Confluence back to the default white one and add slight animations.
   ![example of Confluence navbar](public/alkessian-banner.png)
